## open-vm-tools 12.3.5

=== debian/changelog ===
open-vm-tools (2:12.3.5-3~ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation in Service Discovery Plugin
    - debian/patches/CVE-2025-41244.patch: disable by default the execution
      of the SDMP get-versions.sh script in
      open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c.
    - CVE-2025-41244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Sep 2025 12:05:34 -0400

open-vm-tools (2:12.3.5-3~ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:36:39 -0400

open-vm-tools (2:12.3.5-3~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools release v12.3.5
    (LP: #2028420)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Dec 2023 13:18:04 -0800

open-vm-tools (2:12.3.5-3) unstable; urgency=medium

  * [7699f7a] Fix typo in last upload

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 16:29:44 +0100

open-vm-tools (2:12.3.5-2) unstable; urgency=medium

  * [80ed173] Disable arm cross-build
  * [61a0f4d] (Temporarily) build with diffoscope
  * [d929c44] Fix containerinfo plugin directory.
    Thanks to John Wolfe (Closes: #1056205)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 27 Nov 2023 15:50:13 +0100

open-vm-tools (2:12.3.5-1) unstable; urgency=high

  * [1b07bee] Remove api doc build dir with dh_clean.
    Thanks to Lucas Nussbaum (Closes: #1046018)
  * [de2e0ba] New upstream version 12.3.5 (Closes: #1054662)
    - New upstream release fixes two CVEs:
      CVE-2023-34059 CVE-2023-34058
      Closes: #1054666

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Oct 2023 01:41:22 +0200

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.4) jammy-security; urgency=medium

  * SECURITY UPDATE: SAML Bypass
    - debian/patches/CVE-2023-34058.patch: don't accept tokens with
      unrelated certs in open-vm-tools/vgauth/common/certverify.c,
      open-vm-tools/vgauth/common/certverify.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/serviceImpl/saml-xmlsec1.c.
    - CVE-2023-34058
  * SECURITY UPDATE: file descriptor hijack
    - debian/patches/CVE-2023-34059.patch: change privilege dropping order
      in  open-vm-tools/services/vmtoolsd/mainPosix.c,
      open-vm-tools/vmware-user-suid-wrapper/main.c.
    - CVE-2023-34059

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Oct 2023 07:38:17 -0400

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.3) jammy-security; urgency=medium

  * SECURITY UPDATE: SAML token signature bypass vulnerability
    - debian/patches/CVE-2023-20900.patch: Allow only X509 certs to verify
      the SAML token signature in
      open-vm-tools/vgauth/serviceImpl/saml-xmlsec1.c.
    - CVE-2023-20900

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Sep 2023 14:45:55 -0400

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: authentication bypass vulnerability
    - debian/patches/CVE-2023-20867.patch: Remove some dead code
    - CVE-2023-20867

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 25 Jul 2023 09:39:02 +0530

open-vm-tools (2:12.1.5-3~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools release v12.1.5
    (LP: #1998558)
  * d/control: Add libabsl-dev as explicit build-dependency.
    - (Closes #1032305)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 16 Mar 2023 23:57:03 +0000

open-vm-tools (2:12.1.0-1~ubuntu0.22.04.1) jammy; urgency=medium

  * Backport recent open-vm-tools (LP: #1975767)
    - Fixes issue with "udevadm trigger" affecting all devices
      that can cause unwanted side-effects.
      (LP: #1968354)
    - Adds new binary open-vm-tools-containerinfo that installs the
      vRealize Container Info plugin, which captures and publishes
      information about running containers inside the guest.
    - Adds new binary open-vm-tools-salt-minion that installs the Salt
      Minion plugin for event driven IT automation, remote task execution,
      and configuration management.

 -- Bryce Harrington <bryce@canonical.com>  Mon, 19 Sep 2022 17:52:55 +0000

=== debian/control ===
Source: open-vm-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
Build-Depends:
 debhelper-compat (= 13), doxygen, libcunit1-dev,
 libfuse3-dev, libgtkmm-3.0-dev, libgtk-3-dev,
 libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
 libxinerama-dev, libxss-dev, libxtst-dev,
 libmspack-dev,
 libssl-dev,
 libxmlsec1-dev,
 libudev-dev,
 libdrm-dev,
 liblzma-dev,
 libgdk-pixbuf-xlib-2.0-dev,
 libcurl4-openssl-dev,
 protobuf-compiler,
 libprotobuf-dev,
 protobuf-compiler-grpc,
 libgrpc++-dev, libabsl-dev,
 golang-github-containerd-containerd-dev,
 golang-github-gogo-protobuf-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/vmware/open-vm-tools
Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git
Vcs-Browser: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools

Package: open-vm-tools
Architecture: amd64 i386 arm64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils, iproute2, lsb-release
Recommends: ethtool, zerofree, fuse3
Breaks: open-vm-tools-sdmp (<< 2:12.1.0-2~)
Replaces: open-vm-tools-sdmp (<< 2:12.1.0-2~)
Suggests: open-vm-tools-desktop, cloud-init,
 open-vm-tools-containerinfo, open-vm-tools-salt-minion [amd64]
Description: Open VMware Tools for virtual machines hosted on VMware (CLI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains only the core user-space programs and libraries.

Package: open-vm-tools-desktop
Architecture: amd64 i386 arm64
Depends: ${misc:Depends}, ${shlibs:Depends},
 open-vm-tools (= ${binary:Version}),
 fuse3,
 kmod,
Recommends:
 xauth,
 xserver-xorg-video-vmware
Suggests: xdg-utils
XB-Modaliases: ${modaliases}
Description: Open VMware Tools for virtual machines hosted on VMware (GUI)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the user-space programs and libraries that are essential
 for improved user experience of VMware virtual machines.

Package: open-vm-tools-sdmp
Architecture: amd64 i386 arm64
Depends: ${misc:Depends}, ${shlibs:Depends},
 open-vm-tools (= ${binary:Version}), iproute2, procps, gawk
Description: Open VMware Tools for VMs hosted on VMware (Service Discovery Plugin)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the vRealize Operations Service Discovery
 Management Pack (SDMP) plugin, which discovers services running in VMs
 and builds relationships between them in vRealize.

Package: open-vm-tools-containerinfo
Architecture: amd64 i386 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Description: Open VMware Tools for VMs hosted on VMware (Service Discovery Plugin)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the vRealize Container Info plugin, which
 captures and publishes information about running containers inside the
 guest.

Package: open-vm-tools-salt-minion
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, open-vm-tools (= ${binary:Version})
Description: Open VMware Tools for VMs hosted on VMware (Service Discovery Plugin)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the Salt Minion plugin for event driven IT
 automation, remote task execution, and configuration management.

Package: open-vm-tools-dev
Section: devel
Architecture: amd64 i386 arm64
Depends: ${misc:Depends}, open-vm-tools (= ${binary:Version})
Description: Open VMware Tools for virtual machines hosted on VMware (development)
 The Open Virtual Machine Tools (open-vm-tools) project is an open source
 implementation of VMware Tools. It is a suite of virtualization utilities and
 drivers to improve the functionality, user experience and administration of
 VMware virtual machines.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEBHELPER_VERSION = $(strip $(shell dpkg-query -f '$${Version}' -W debhelper))
DEBHELPER_SYSTEMD_OK = $(strip $(shell dpkg --compare-versions $(DEBHELPER_VERSION) ge 10.9.1~; echo $$?))

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	VENDOR := UBUNTU
else
	VENDOR := DEBIAN
endif

%:
	dh ${@} --sourcedirectory=open-vm-tools

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=open-vm-tools -- \
			--prefix=/usr \
			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--without-kernel-modules \
			--with-pic \
			--enable-xmlsec1 \
			--with-gtk3  \
			--enable-servicediscovery \
			--enable-salt-minion \
			--with-fuse=fuse3 \
			CFLAGS="-fPIC -Wno-error=deprecated-declarations -Wno-error=address-of-packed-member -Wno-nonnull $(CFLAGS)" \
			CUSTOM_PROCPS_NAME=procps

override_dh_auto_install:
	dh_auto_install --sourcedirectory=open-vm-tools -- DESTDIR=$(CURDIR)/debian/open-vm-tools

	# permissions
	chmod 0644 debian/*/etc/pam.d/*
	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper
	chmod 0644 debian/*/lib/udev/rules.d/99-vmware-scsi-udev.rules

	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

	install -D -m 0644 debian/local/run-vmblock\\x2dfuse.mount debian/open-vm-tools-desktop/lib/systemd/system/run-vmblock\\x2dfuse.mount
	install -D -m 0644 debian/local/open-vm-tools-desktop.conf debian/open-vm-tools-desktop/usr/lib/modules-load.d/open-vm-tools-desktop.conf

	# open-vm-tools-dev
	mkdir -p debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mv debian/open-vm-tools/usr/share/doc/open-vm-tools/api debian/open-vm-tools-dev/usr/share/doc/open-vm-tools
	mkdir -p debian/open-vm-tools-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv \
	    debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
	    debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/*.so \
	    debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
	    debian/open-vm-tools-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/open-vm-tools/usr/include debian/open-vm-tools-dev/usr


	# removing useless files
	rm -f debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	rm -f debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/*/*.la
	rm -rf debian/open-vm-tools/usr/share/open-vm-tools/tests
	# only meant for build/test time - https://github.com/vmware/open-vm-tools/issues/527
	rm -f debian/open-vm-tools/usr/bin/vmware-vgauth-smoketest

	# moving open-vm-tools-desktop files
	mkdir -p debian/open-vm-tools-desktop/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins
	mv debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmusr debian/open-vm-tools-desktop/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins

	mkdir -p debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmware-user-suid-wrapper debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmware-user debian/open-vm-tools-desktop/usr/bin
	mv debian/open-vm-tools/usr/bin/vmwgfxctrl debian/open-vm-tools-desktop/usr/bin

	mkdir -p debian/open-vm-tools-desktop/etc/xdg/autostart
	mv debian/open-vm-tools/etc/xdg/autostart/vmware-user.desktop debian/open-vm-tools-desktop/etc/xdg/autostart
	rm -rf debian/open-vm-tools/etc/xdg

	mkdir -p debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d
	cp debian/desktop.conf debian/open-vm-tools-desktop/lib/systemd/system/open-vm-tools.service.d/

	mkdir -p debian/open-vm-tools-sdmp/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/
	mv debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/libserviceDiscovery.so debian/open-vm-tools-sdmp/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/

	mkdir -p debian/open-vm-tools-sdmp/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/serviceDiscovery/scripts/
	mv debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/serviceDiscovery/scripts/* debian/open-vm-tools-sdmp/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/serviceDiscovery/scripts/
	rm -rf debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/serviceDiscovery/

	# moving open-vm-tools-containerinfo files
	mkdir -p debian/open-vm-tools-containerinfo/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/
	mv debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/libcontainerInfo.so debian/open-vm-tools-containerinfo/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/plugins/vmsvc/

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64))
	# moving open-vm-tools-salt-minion files
	mkdir -p debian/open-vm-tools-salt-minion/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/componentMgr/saltMinion/
	mv debian/open-vm-tools/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/componentMgr/saltMinion/svtminion.sh debian/open-vm-tools-salt-minion/usr/lib/$(DEB_HOST_MULTIARCH)/open-vm-tools/componentMgr/saltMinion/
endif

override_dh_gencontrol:
	if [ "${VENDOR}" = "UBUNTU" ]; \
	then \
		dh_gencontrol -- -Vmodaliases="vmwgfx(pci:v000015ADd00000405sv*sd*bc*sc*i*)"; \
	else \
		dh_gencontrol; \
	fi

override_dh_fixperms:
	dh_testroot
	find debian/open-vm-tools/etc -type f -print0 | xargs -0 chmod ugo-x
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/scripts/vmware/*
	chmod ugo+x debian/open-vm-tools/etc/vmware-tools/*-vm-default

	dh_fixperms -Xvmware-user-suid-wrapper

override_dh_installsystemd:
	dh_installsystemd -popen-vm-tools
	dh_installsystemd -popen-vm-tools --name vgauth
	dh_installsystemd -popen-vm-tools-desktop --restart-after-upgrade --no-stop-on-upgrade run-vmblock\\x2dfuse.mount

override_dh_installchangelogs:
	dh_installchangelogs ReleaseNotes.md

override_dh_md5sums-arch:
	dh_md5sums
	# remove broken \ escaping from md5sums
	sed -i -e 's,^\\,,' -e 's,\\\\,\\,' debian/open-vm-tools-desktop/DEBIAN/md5sums

## open-vm-tools 12.4.0

=== debian/changelog ===
open-vm-tools (2:12.4.0-1deepin1+rb1) unstable; urgency=medium

  * add vmware-user.desktop NoDisplay.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 23 May 2024 13:51:27 +0800

open-vm-tools (2:12.4.0-1) unstable; urgency=medium

  * [0ed4989] New upstream version 12.4.0
    (Closes: #1067693)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 03 Apr 2024 22:49:48 +0200

open-vm-tools (2:12.3.5-5) unstable; urgency=medium

  * [13558f9] postinst: deb-systemd-invoke doesn't have a -q switch.
    Remove it :)
    Thanks to Daniel Leidert (Closes: #1041771)
  * [e7e3fe6] Add build-dep: libtirpc-dev, rpcsvc-proto.
    Thanks to Aurelien Jarno (Closes: #1065187)
  * [788fa5c] CI: enable build on arm64

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 01 Mar 2024 18:11:06 +0100

open-vm-tools (2:12.3.5-4) unstable; urgency=medium

  * [ba9d610] Remove chmod line for udev rule.
    Makefile.am uses mode 0644 now.
    Thanks to Chris Hofstaedtler (Closes: #1057246)

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 07 Dec 2023 15:55:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
  debhelper-compat (= 13), doxygen, libcunit1-dev,
@@ -23,6 +22,7 @@
  libgrpc++-dev, libabsl-dev,
  golang-github-containerd-containerd-dev,
  golang-github-gogo-protobuf-dev,
+ libtirpc-dev, rpcsvc-proto
 Standards-Version: 4.6.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git

## open-vm-tools 12.4.5

=== debian/changelog ===
open-vm-tools (2:12.4.5-1~ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:22:56 -0400

open-vm-tools (2:12.4.5-1~ubuntu0.24.04.1) noble; urgency=medium

  * Backport recent open-vm-tools release v12.4.5 (LP: #2073317)
    - For changes included in this update, see:
      https://docs.vmware.com/en/VMware-Tools/12.4.0/rn/vmware-tools-1240-release-notes/index.html
      https://docs.vmware.com/en/VMware-Tools/12.4/rn/vmware-tools-1245-release-notes/index.html
  * d/control: Disable dh_movetousr helper to avoid disruption on noble.

 -- Bryce Harrington <bryce@canonical.com>  Tue, 23 Jul 2024 12:02:36 -0700

open-vm-tools (2:12.4.5-1) unstable; urgency=medium

  * [f971632] Remove vmxnet.hook.
    Not used/installed anymore since 2018. (Closes: #1074238)
  * [113ef20] Add dh-sequence-movetousr as Build-Dep (Closes: #1073673)
  * [86d484c] New upstream version 12.4.5 (Closes: #1074436)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 12 Jul 2024 22:31:45 +0200

open-vm-tools (2:12.3.5-5build3) noble; urgency=high

  * No change rebuild against libgrpc++1.51t64, libgrpc29t64,
    libprotobuf32t64, libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:49 +0200

open-vm-tools (2:12.3.5-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:23:37 +0000

open-vm-tools (2:12.3.5-5build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:48:48 +0000

## open-vm-tools 12.5.0

=== debian/changelog ===
open-vm-tools (2:12.5.0-1ubuntu0.2) plucky-security; urgency=medium

  * SECURITY UPDATE: local privilege escalation in Service Discovery Plugin
    - debian/patches/CVE-2025-41244.patch: disable by default the execution
      of the SDMP get-versions.sh script in
      open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c.
    - CVE-2025-41244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Sep 2025 11:58:25 -0400

open-vm-tools (2:12.5.0-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: insecure file handling vulnerability
    - debian/patches/CVE-2025-22247.patch: properly check symlinks and path
      traversal chars in open-vm-tools/vgauth/common/VGAuthUtil.c,
      open-vm-tools/vgauth/common/VGAuthUtil.h,
      open-vm-tools/vgauth/common/prefs.h,
      open-vm-tools/vgauth/common/usercheck.c,
      open-vm-tools/vgauth/serviceImpl/alias.c,
      open-vm-tools/vgauth/serviceImpl/service.c,
      open-vm-tools/vgauth/serviceImpl/serviceInt.h.
    - CVE-2025-22247

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 06 May 2025 08:15:20 -0400

open-vm-tools (2:12.5.0-1) unstable; urgency=medium

  * Update to 12.5.0, full release notes can be found at
    https://github.com/vmware/open-vm-tools/blob/stable-12.5.0/ReleaseNotes.md
    - d/copyright: update to 12.5.0
    - d/copyright: add missing path element to fix superfluous-file-pattern
    - d/copyright: bsd files gone since 10.2.5
    - d/*.lintian-overrides: fix paths

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Jan 2025 11:42:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
- debhelper-compat (= 13), doxygen, libcunit1-dev,
+ debhelper-compat (= 13), dh-sequence-movetousr,
+ doxygen, libcunit1-dev,
  libfuse3-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	# permissions
 	chmod 0644 debian/*/etc/pam.d/*
 	chmod 4755 debian/*/usr/bin/vmware-user-suid-wrapper
-	chmod 0644 debian/*/lib/udev/rules.d/99-vmware-scsi-udev.rules
 
 	install -D -m 0644 debian/local/xautostart.conf debian/open-vm-tools-desktop/etc/vmware-tools/xautostart.conf
 	install -D -m 0644 debian/local/tools.conf debian/open-vm-tools/etc/vmware-tools/tools.conf

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/stable-(\d\S+)\.tar\.gz/open-vm-tools-$1\.tar\.gz/ \
  https://github.com/vmware/open-vm-tools/tags .*/stable-(\d\S+)\.tar\.gz

## open-vm-tools 13.0.0

=== debian/changelog ===
open-vm-tools (2:13.0.0-2~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.
  * Update debian/{.gitlab-ci.yml,gbp.conf} for bookworm-backports.
  * [522d414] Revert "Add dh-sequence-movetousr as Build-Dep"

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 29 Aug 2025 13:50:44 +0200

open-vm-tools (2:13.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 18 Aug 2025 10:49:22 +0200

open-vm-tools (2:13.0.0-1) experimental; urgency=medium

  * [6e2779c] Refreshing patches.
    Dropping patches applied upstream
  * [209b17e] Add libcrypt-dev to Build-Depends. (Closes: #1106954)
  * [2f26698] New upstream version 13.0.0

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 24 Jun 2025 18:06:37 +0200

open-vm-tools (2:12.5.0-2) unstable; urgency=high

  * [910f279] Fixing an insecure file handling vulnerability.
    It allowed a malicious actor with non-administrative privileges
    on a guest VM to tamper the local files to trigger insecure file
    operations within that VM.
    VMSA-2025-0007
    CVE-2025-22247 (Closes: #1105159)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 12 May 2025 15:17:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: open-vm-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Christian Ehrhardt <christian.ehrhardt@canonical.com>
 Build-Depends:
- debhelper-compat (= 13), dh-sequence-movetousr,
- doxygen, libcunit1-dev,
+ debhelper-compat (= 13), doxygen, libcunit1-dev,
  libfuse3-dev, libgtkmm-3.0-dev, libgtk-3-dev,
  libicu-dev, libnotify-dev, libpam0g-dev, libx11-dev,
  libxinerama-dev, libxss-dev, libxtst-dev,
@@ -24,7 +22,8 @@
  libgrpc++-dev, libabsl-dev,
  golang-github-containerd-containerd-dev,
  golang-github-gogo-protobuf-dev,
- libtirpc-dev, rpcsvc-proto
+ libtirpc-dev, rpcsvc-proto,
+ libcrypt-dev
 Standards-Version: 4.6.1
 Homepage: https://github.com/vmware/open-vm-tools
 Vcs-Git: https://salsa.debian.org/vmware-packaging-team/pkg-open-vm-tools.git

## open-vm-tools 13.0.5

=== open-vm-tools/modules/freebsd/vmblock/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2006-2018, 2023 VMware, Inc. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
##########################################################

####
####  VMware vmblock Makefile to be distributed externally
####

HEADERS := block.h
HEADERS += vnode_if.h
HEADERS += vmblock_k.h
HEADERS += os.h

CSRCS  := block.c
CSRCS  += os_panic.c
CSRCS  += vfsops.c
CSRCS  += vnops.c
CSRCS  += subr.c
CSRCS  += stubs.c

SRCS   := $(HEADERS) $(CSRCS)

KMOD    = vmblock
PROG    = ../$(KMOD).ko
MK_MAN  = no
KLDMOD  = t

VMBLOCK := $(MAINSRCROOT)/modules/vmblock

CFLAGS  += $(INCLUDE) -Wall -Werror

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/vmblock
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmblock
   CFLAGS  += -isystem /usr/include
   VPATH  := $(OVT_SOURCE_DIR)/modules/shared/vmblock
.else
   CFLAGS += -Ishared
.endif

EXPORT_SYMS = NO

.include <bsd.kmod.mk>

=== open-vm-tools/modules/freebsd/vmmemctl/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2007-2018, 2021, 2023 VMware, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation version 2 and no later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#
##########################################################

####
#### vmmemctl Makefile (for FreeBSD guest OS)
####

SRCS	:= os.c
SRCS	+= vmballoon.c
SRCS	+= backdoor_balloon.c
SRCS	+= kernelStubsBSD.c

.if $(MACHINE_ARCH) == "amd64"
SRCS    += backdoorGcc64.c
.elif $(MACHINE_ARCH) == "aarch64"
SRCS    += backdoorGcc64_arm64.c
.else
SRCS    += backdoorGcc32.c
.endif
KMOD	= vmmemctl
PROG    = ../$(KMOD).ko
MK_MAN  = no
KLDMOD	= t

# Don't print a warning that the object dir wasn't specified
NOOBJ   = 1
NO_OBJ  = 1

.ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/backdoor
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/freebsd/shared
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
   CFLAGS += -isystem /usr/include
   VPATH  := $(OVT_SOURCE_DIR)/lib/backdoor
   VPATH  := $(VPATH):$(OVT_SOURCE_DIR)/modules/shared/vmmemctl
.else
   CFLAGS += -Ishared
.endif

.include <bsd.kmod.mk>

.ifndef VERBOSE
.SILENT:
.endif

=== open-vm-tools/modules/solaris/vmxnet3/Makefile ===
#!/usr/bin/make -f
##########################################################
# Copyright (C) 2009 VMware, Inc. All rights reserved.
#
# The contents of this file are subject to the terms of the Common
# Development and Distribution License (the "License") version 1.0
# and no later version.  You may not use this file except in
# compliance with the License.
#
# You can obtain a copy of the License at
#         http://www.opensource.org/licenses/cddl1.php
#
# See the License for the specific language governing permissions
# and limitations under the License.
#
##########################################################

ifneq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.10)
SUPPORTED := 1
endif

ifneq ($(shell echo "$(VM_UNAME)" | cut -c-4),5.11)
SUPPORTED := 1
endif

$(if $(SUPPORTED),,$(error "Unsupported Solaris version: $(VM_UNAME)"))

##
## General build locations and variables
##

MODULE    := vmxnet3
CFLAGS    :=
LDFLAGS   :=

CFLAGS    += -O2
CFLAGS    += -Wall -Werror -Wno-unknown-pragmas
CFLAGS    += -U_NO_LONGLONG
CFLAGS    += -D_KERNEL
CFLAGS    += -I../../../lib/include    # for buildNumber.h

CFLAGS    += -ffreestanding
CFLAGS    += -nodefaultlibs

ifdef OVT_SOURCE_DIR
   CFLAGS += -I$(OVT_SOURCE_DIR)/lib/include
   CFLAGS += -I$(OVT_SOURCE_DIR)/modules/shared/vmxnet
endif

CFLAGS_32  := $(CFLAGS)
CFLAGS_32  += -m32
LDFLAGS_32 := $(LDFLAGS)

CFLAGS_64  := $(CFLAGS)
CFLAGS_64  += -m64
CFLAGS_64  += -mcmodel=kernel
CFLAGS_64  += -mno-red-zone
LDFLAGS_64 := $(LDFLAGS)
ifdef HAVE_GNU_LD
LDFLAGS_64 += -m elf_x86_64
else
LDFLAGS_64 += -64
endif

##
## Objects needed to build the HGFS kernel module
##
VMXNET3_OBJS := vmxnet3_main.o
VMXNET3_OBJS += vmxnet3_utils.o
VMXNET3_OBJS += vmxnet3_tx.o
VMXNET3_OBJS += vmxnet3_rx.o

VMXNET3_32_OBJS := $(addprefix i386/, $(VMXNET3_OBJS))
VMXNET3_64_OBJS := $(addprefix amd64/, $(VMXNET3_OBJS))

MODULE_32 := i386/$(MODULE)
MODULE_64 := amd64/$(MODULE)

all: prepare_dirs $(MODULE_32) $(MODULE_64)

prepare_dirs:
	@echo "Creating build directories"
	mkdir -p i386
	mkdir -p amd64

$(MODULE_32): $(VMXNET3_32_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_32) -r $(VMXNET3_32_OBJS) -o $@

$(VMXNET3_32_OBJS): i386/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_32) -c $< -o $@

$(MODULE_64): $(VMXNET3_64_OBJS)
	@echo "Linking          $@"
	$(LD) $(LDFLAGS_64) -r $(VMXNET3_64_OBJS) -o $@

$(VMXNET3_64_OBJS): amd64/%.o: %.c
	@echo "Compiling        $(<F)"
	$(CC) $(CFLAGS_64) -c $< -o $@

clean:
	@echo "Cleaning directories"
	@rm -rf $(MODULE_32) $(VMXNET3_32_OBJS) i386
	@rm -rf $(MODULE_64) $(VMXNET3_64_OBJS) amd64

install:
	@echo "Installing modules"
	cp $(MODULE_32) /kernel/drv/
	chmod 755 /kernel/drv/$(MODULE)
	cp $(MODULE_64) /kernel/drv/amd64
	chmod 755 /kernel/drv/amd64/$(MODULE)
	cp vmxnet3s.conf /kernel/drv/vmxnet3s.conf
	chmod 644 /kernel/drv/vmxnet3s.conf

=== debian/changelog ===
open-vm-tools (2:13.0.5-1~bpo12+1) bookworm-backports-sloppy; urgency=medium

  * Rebuild for bookworm-backports-sloppy.
  * Update debian/{.gitlab-ci.yml,gbp.conf} for bookworm-backports.
  * [522d414] Revert "Add dh-sequence-movetousr as Build-Dep"

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 01 Oct 2025 00:09:47 +0200

open-vm-tools (2:13.0.5-1) unstable; urgency=high

  * [63d2ebe] Remove Build-dep on libgdk-pixbuf-xlib-2.0-dev.
    Thanks to Simon McVittie (Closes: #1112399)
  * [various commits] add a debdiff job to the gitlab ci
  * [9847515] New upstream version 13.0.5 (CVE-2025-41244)

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 30 Sep 2025 20:10:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libudev-dev,
  libdrm-dev,
  liblzma-dev,
- libgdk-pixbuf-xlib-2.0-dev,
  libcurl4-openssl-dev,
  protobuf-compiler,
  libprotobuf-dev,

## open-vm-tools 13.0.10

=== debian/changelog ===
open-vm-tools (2:13.0.10-1build1) resolute; urgency=medium

  * No-change rebuild for abseil soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Feb 2026 12:56:16 +0100

open-vm-tools (2:13.0.10-1) unstable; urgency=medium

  * [b920ae7] New upstream version 13.0.10
    (Closes: #1126505)

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 28 Jan 2026 10:49:51 +0100
